#ifndef _BLV_AUTHORIZE_H_
#define _BLV_AUTHORIZE_H_

#include "stdint.h"
#include "string.h"

typedef struct
{	
	uint8_t	lock_status;		//授权锁定状态
	uint8_t last_status;
	uint32_t expires_time;		//授权到期时间
}__attribute__ ((__packed__))BLV_AUTHORIZE;

void BLV_Set_Authorize_Status(uint32_t Expires_time,uint8_t lock);
void BLV_Authorize_Processing(uint32_t utc_time);
void Set_Authorize_Lock_Status(uint8_t state);
uint8_t Get_Authorize_Lock_Status(void);
uint32_t Get_Authorize_UnixTime(void);

#endif
